package com.adealink.weparty.order

import androidx.constraintlayout.widget.ConstraintLayout
import androidx.core.view.updateLayoutParams
import com.adealink.frame.mvvm.view.viewBinding
import com.adealink.frame.router.Router
import com.adealink.frame.router.annotation.RouterUri
import com.adealink.frame.util.statusBarHeight
import com.adealink.weparty.commonui.BaseActivity
import com.adealink.weparty.module.order.Order
import com.adealink.weparty.order.databinding.ActivityOrderDetailBinding

@RouterUri(path = [Order.Detail.PATH], desc = "订单详情")
class OrderDetailActivity : BaseActivity() {

    companion object {
        private const val TAG = "OrderListActivity"
    }

    private val binding by viewBinding(ActivityOrderDetailBinding::inflate)

    override fun onBeforeCreate() {
        super.onBeforeCreate()
        Router.bind(this)
    }

    override fun initViews() {
        super.initViews()
        setContentView(binding.root)
        binding.topBar.updateLayoutParams<ConstraintLayout.LayoutParams> {
            topMargin = this@OrderDetailActivity.statusBarHeight()
        }


    }

    override fun loadData() {
        super.loadData()
    }

}